%define	major 3
%define libname     %mklibname rpcsecgss %{major}
%define develname	%mklibname rpcsecgss -d

Summary:	Allows secure rpc communication using the rpcsec_gss protocol
Name:		librpcsecgss
Version:	0.19
Release:	%mkrel 9
License:	BSD-like
Group:		System/Libraries
URL:		http://www.citi.umich.edu/projects/nfsv4/linux/
Source0:	http://www.citi.umich.edu/projects/nfsv4/linux/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	gssglue-devel

%description
Allows secure rpc communication using the rpcsec_gss protocol
librpcsecgss allows secure rpc communication using the rpcsec_gss
protocol.

%package -n	%{libname}
Summary:	Allows secure rpc communication using the rpcsec_gss protocol
Group:		System/Libraries

%description -n	%{libname}
Allows secure rpc communication using the rpcsec_gss protocol
librpcsecgss allows secure rpc communication using the rpcsec_gss
protocol.

%package -n	%{develname}
Summary:	Static library and header files for the librpcsecgss library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	rpcsecgss-devel = %{version}-%{release}
Obsoletes:	%{mklibname rpcsecgss 1}-devel
Obsoletes:	%{mklibname rpcsecgss 2}-devel
Obsoletes:	%{mklibname rpcsecgss 3}-devel

%description -n	%{develname}
Allows secure rpc communication using the rpcsec_gss protocol
librpcsecgss allows secure rpc communication using the rpcsec_gss
protocol.

This package contains the static librpcsecgss library and its
header files.

%prep
%setup -q -n librpcsecgss-%{version}

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files  -n %{develname}
%{_includedir}/rpcsecgss
%{_libdir}/*.so
%{_libdir}/pkgconfig/librpcsecgss.pc


%changelog
* Mon Feb 01 2016 umeabot <umeabot> 0.19-9.mga6
+ Revision: 929853
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.19-8.mga5
+ Revision: 746139
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.19-7.mga5
+ Revision: 726853
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.19-6.mga5
+ Revision: 681763
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.19-5.mga4
+ Revision: 507330
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.19-4.mga3
+ Revision: 358113
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 fwang <fwang> 0.19-3.mga3
+ Revision: 305854
- drop .la file

* Tue Feb 08 2011 ennael <ennael> 0.19-3.mga1
+ Revision: 49190
- remove mdkversion
- imported package librpcsecgss


* Thu Nov 25 2010 Oden Eriksson <oeriksson@mandriva.com> 0.19-3mdv2011.0
+ Revision: 601059
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 0.19-2mdv2010.1
+ Revision: 519029
- rebuild

* Sat Aug 29 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.19-1mdv2010.0
+ Revision: 422157
- update to new version 0.19

* Thu Dec 18 2008 Oden Eriksson <oeriksson@mandriva.com> 0.18-2mdv2009.1
+ Revision: 315591
- rebuild

* Fri Jun 20 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.18-1mdv2009.0
+ Revision: 227544
- update to new version 0.18

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.17-2mdv2009.0
+ Revision: 222974
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Nov 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.17-1mdv2008.1
+ Revision: 106229
- new version

* Thu Sep 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.16-1mdv2008.0
+ Revision: 81051
- new version
  drop patch 0, merged upstream
  patch 1: fix pkgconfig file

* Thu Sep 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.15-1mdv2008.0
+ Revision: 80683
- fix build
- new version
  spec cleanup


* Mon Jan 22 2007 Andreas Hasenack <andreas@mandriva.com> 0.14-1mdv2007.0
+ Revision: 111820
- updated to version 0.14
- new soname

* Wed Oct 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.12-3mdv2007.1
+ Revision: 63382
- rebuild
- Import librpcsecgss

* Wed Jun 07 2006 Oden Eriksson <oeriksson@mandriva.com> 0.12-2mdv2007.0
- fix deps

* Wed Jun 07 2006 Oden Eriksson <oeriksson@mandriva.com> 0.12-1mdv2007.0
- 0.12
- new major
- fix deps

* Fri Mar 03 2006 Oden Eriksson <oeriksson@mandriva.com> 0.8-2mdk
- use correct major (1)

* Fri Mar 03 2006 Oden Eriksson <oeriksson@mandriva.com> 0.8-1mdk
- 0.8
- fix deps

* Fri Feb 03 2006 Oden Eriksson <oeriksson@mandriva.com> 0.7-2mdk
- fix naming

* Sat Dec 17 2005 Stefan van der Eijk <stefan@eijk.nu> 0.7-1mdk
- 0.7
- %%mkrel

* Wed May 11 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5-1mdk
- 0.5
- fix naming
- lib64 fixes
- drop P0 as it's not needed anymore
- major is zero now

* Sun Jan 09 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.1-1mdk
- initial mandrake package

